package domain

import (
	"topsdk/util"
)

type TmallExchangeAgreeExchange struct {
	/*
	   修改时间     */
	Modified *util.LocalTime `json:"modified,omitempty" `

	/*
	   换货单号ID     */
	DisputeId *string `json:"dispute_id,omitempty" `

	/*
	   换货单状态     */
	Status *string `json:"status,omitempty" `

	/*
	   正向交易单号ID     */
	BizOrderId *string `json:"biz_order_id,omitempty" `
}

func (s *TmallExchangeAgreeExchange) SetModified(v util.LocalTime) *TmallExchangeAgreeExchange {
	s.Modified = &v
	return s
}
func (s *TmallExchangeAgreeExchange) SetDisputeId(v string) *TmallExchangeAgreeExchange {
	s.DisputeId = &v
	return s
}
func (s *TmallExchangeAgreeExchange) SetStatus(v string) *TmallExchangeAgreeExchange {
	s.Status = &v
	return s
}
func (s *TmallExchangeAgreeExchange) SetBizOrderId(v string) *TmallExchangeAgreeExchange {
	s.BizOrderId = &v
	return s
}
